/* rmstrc.c - kick a remote-rms server task in the trace bit
	also a nice demo & test-bed for packet interface to rms server */

#include	<stdio.h>
#include	<cx.h>
#include	"rrms.h"
#include	<algol68.h>

int	packet[256];
extern	rad50	rmssrv[2];	/* RMS server task name */

main(argc,argv)
int	argc;
char **	argv;
BEGIN
int	s,v,r,n;

	IF	(argc<2)
	THEN	rmscs();	/* server task = RRTTnn */
	ELSE	ascr50(6,argv[1],rmssrv);
	FI;
	rmspkt($TRACE,0,0,0123456,packet,12,rmssrv,&s,&v,&r,&n);
	printf("status=%oo value=%oo rab=%oo number=%oo\n",s,v,r,n);
END

/* end: rmstrc.c */
